Subject: bug#23269: MirBSD 10 i386 test failures [Re: grep-2.24.13-bed6 feedback

From: [email-masked]
Date: Wed, 20 Apr 2016 02:49:07 -0600

Jim Meyering <[email-masked]> wrote:

> On Tue, Apr 19, 2016 at 9:04 AM, Paul Eggert <[email-masked]> wrote:
> > On 04/18/2016 08:05 AM, Paul Eggert wrote:
> >>
> >> 'm afraid someone with access to MirBSD will need to debug it.
> >
> > On second thought there is a simpler fix: stop using btowc. I installed the
> > attached patch, which is a good idea anyway. By using only mbrtowc (which we
> > need to use anyway), it avoids problems on misconfigured systems like MirOS
> > BSD where btowc disagrees with mbrtowc.
> >
> > After writing and debugging this patch I looked at Gawk and noticed that it
> > already has its own equivalent of this patch's new mbrtowc_cache variable.
> > Gawk obtains its cache via btowc; although this doesn't work on MirOS BSD
> > due to its buggy btowc, Arnold says he's not worried about MirOS BSD any
> > more which is quite understandable. Still, it's a bit odd to have two caches
> > in Gawk that do the same thing; perhaps we can unify them at some point.
>
> Oh! Very nice. Thanks yet again, Paul :-)

Thanks Paul. I will merge that change into gawk.

I will then look into unifying the two single-byte-to-multibyte caches.
This will likely mean interface additions in dfa.h and some minor
code changes in dfa.c. I will submit a patch for review here before
committing in gawk.

Just to clarify, MirBSD is still supported in the "stable" code base
(gawk-4.1-stable branch in git), and I'm working on another release
from that branch that I hope will happen in the near future.  But for
the long term, yes, I don't care about MirBSD.  It's just too weird.
:-(

Thanks,

Arnold